List Overrides
curl --request GET \
--url https://api.example.com/api/rate-limits/overrides \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/api/rate-limits/overrides"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/api/rate-limits/overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Rate Limits
List Overrides
List all client rate limit overrides (admin only)
GET
/
api
/
rate-limits
/
overrides
List Overrides
Authentication
string
required
Bearer token:
Bearer <admin_token>Query Parameters
boolean
default:"false"
Only return active overrides
Example Request
curl "https://api.sari-platform.com/api/rate-limits/overrides?active_only=true" \
-H "Authorization: Bearer <admin_token>"
Response
[
{
"id": 1,
"client_id": "client-uuid",
"allowed_limit": 5000,
"window_seconds": 3600,
"is_active": true,
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
}
]
Errors
| Status | Description |
|---|---|
| 401 | Invalid or expired token |
| 403 | Admin access required |
⌘I

